package main

import (
	"mongo.games.com/goserver/core"
	_ "mongo.games.com/goserver/core/i18n"
	"mongo.games.com/goserver/core/module"

	_ "games.yol.com/win88"
	"mongo.games.com/game/common"
	_ "mongo.games.com/game/srvdata"

	_ "mongo.games.com/game/gamesrv/action"
	_ "mongo.games.com/game/gamesrv/base"
	_ "mongo.games.com/game/gamesrv/transact"

	// game
	_ "mongo.games.com/game/gamesrv/chess"
	_ "mongo.games.com/game/gamesrv/fishing"
	_ "mongo.games.com/game/gamesrv/smallrocket"
	_ "mongo.games.com/game/gamesrv/thirteen"
	_ "mongo.games.com/game/gamesrv/tienlen"

	_ "mongo.games.com/game/gamesrv/fruits"
	_ "mongo.games.com/game/gamesrv/iceage"
)

func main() {
	core.RegisterConfigEncryptor(common.ConfigFE)
	defer core.ClosePackages()
	core.LoadPackages("config.json")

	waiter := module.Start()
	waiter.Wait("main()")
}
